#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

extern int choice, wavetype,px,py;
extern double vscale, refindex;
extern int ia, ib;
extern int width, thickness;



void
on_startButton_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{

    choice = 1;
}


void
on_pauseButton_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
    choice = 0;
}


void
on_restartButton_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
   choice = 2;
}


void
on_saveButton_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
   choice = 3;
}


gboolean
on_window_delete_event                 (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{

  g_print(" Thank you ... \n");
  gtk_main_quit(); 
  
  return FALSE;
}


void
on_vUpButton_clicked                   (GtkButton       *button,
                                        gpointer         user_data)
{
    choice = 4;
    vscale = vscale + 0.2;
    
    if(vscale > 8) vscale = 8;
}


void
on_vDownButton_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
    choice = 4;
    vscale = vscale - 0.2;
    if(vscale < 1.0) vscale = 1.0;

}

void
on_radioPlaneWave_released           (GtkButton       *button,
                                        gpointer         user_data)
{
   choice = 2;
   wavetype = 1;
}


void
on_radioPointSource_released            (GtkButton       *button,
                                        gpointer         user_data)
{
   choice = 2;
   wavetype = 2;
}




void
on_xDown_clicked                       (GtkButton       *button,
                                        gpointer         user_data)
{
   choice = 2;
   px=px-5;
   if(px<0) px = 0;
}


void
on_xUp_clicked                         (GtkButton       *button,
                                        gpointer         user_data)
{
   choice = 2;
   px=px+5;
   if(px>400) px = 400;

}


void
on_yUp_clicked                         (GtkButton       *button,
                                        gpointer         user_data)
{
   choice = 2;
   py=py-5;
   if(py<0) py = 0;

}


void
on_yDown_clicked                       (GtkButton       *button,
                                        gpointer         user_data)
{
   choice = 2;
   py=py+5;
   if(py>400) py = 400;

}

